## org.apache.mahout.clustering
Class WeightedVectorWritable

    java.lang.Object
      org.apache.mahout.clustering.WeightedVectorWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public final class WeightedVectorWritable

extends java.lang.Object
implements org.apache.hadoop.io.Writable

Constructor Summary
`WeightedVectorWritable()`
`WeightedVectorWritable(double weight, Vector vector)`

Method Summary
`Vector` `getVector()`
`double` `getWeight()`
`void` `readFields(java.io.DataInput in)`
`void` `setVector(Vector vector)`
`java.lang.String` `toString()`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeightedVectorWritable

    public WeightedVectorWritable()

### WeightedVectorWritable

    public WeightedVectorWritable(double weight,
                                  Vector vector)

Method Detail

### getVector

    public Vector getVector()

### setVector

    public void setVector(Vector vector)

### getWeight

    public double getWeight()

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.